- ago
Good night.

I updated the Wealth-Lab version to version 51.
And, after the update, when running any backtest, the system displays the message:
"Could not load Backtest Data in this Scale/Range"

And it does nothing.

How do I solve this problem?
0
362
Solved
32 Answers

Reply

Bookmark

Sort
- ago
#1
What data providers are selected in the Data Manager and what is the order of them?
What is the benchmark B&H symbol?
What scale/range is applied to your backtests?
0
- ago
#2
QUOTE:
What data providers are selected in the Data Manager and what is the order of them?

Yahoo, Cryptocompare, etc.

QUOTE:
What is the benchmark B&H symbol?

BTC-USD, SPY and ^BVSP

QUOTE:
What scale/range is applied to your backtests?

I use weekly data in all backtests.
0
- ago
#3
Thanks but apparently this isn't enough to figure out what went wrong. Since any backtest throws this for you, can you reproduce this with a strategy that comes with WL7? Note the Backtest Data settings, data provider and any other details that could help us reproduce.
0
Cone7
- ago
#5
Please attach a screenshot/image of the Strategy Settings page. It could help!
0
- ago
#6


Good Morning.

Here's a screenshot of the screen as requested.

It excludes several parameters to make the backtest simpler, but the problem seems to be in the current version of the system in fact.
0
- ago
#7
In version 50 this error is not shown.
0
- ago
#8
Please attach a screenshot/image of the Strategy Settings page. This is the Design Surface tab.
0
- ago
#9
0
Cone7
- ago
#10
I still can't duplicate it, but what happens if you change the Benchmark to a symbol other than SPY? Same result?

If another symbol works for the Benchmark, do this:
1. Open a chart
2. Enter SPY - make sure you're using Y! Data
3. Right click the chart and "Reload Chart Data from Provider"
4. Try your Weekly backtest again with SPY
0
- ago
#11
Yes, same result for any other symbol.
In Build 50 this problem does not occur.
0
Cone7
- ago
#12
I hear you about Build 50, but since it doesn't happen for us in Build 51, we need to keep digging. Really sorry for the inconvenience, but there's something in the mix we need to identify.

Does it work with a Daily backtest?
0
- ago
#13
As long as SPY can be found across DataSets selected in the Data Manager > Historical Providers (like Yahoo) there should be no issue. At least for me it works using your settings (Weekly, data range, Yahoo DataSet etc). Otherwise you can simply select a different Benchmark symbol that can be found by the selected data providers.
0
- ago
#14
Yes, on the daily scale, it works.
0
- ago
#15


I verified that these two providers are marked in the Historical Providers tab.

By deselecting these, leaving Yahoo as the provider, the backtests work without any problems.

I believe the problem is in one of the WealthData or Q-Data providers.
0
- ago
#16
This screenshot with WD and QD is quite different from your first response (which mentioned Yahoo selected on top):
QUOTE:
What data providers are selected in the Data Manager and what is the order of them?
Yahoo, Cryptocompare, etc.


If you actually check Yahoo and put it on top of the list then SPY should be requested from this feed and work in Weekly scale.
0
- ago
#17


In this configuration it works without problems.

Thank you very much!
1
Cone7
- ago
#18
We're getting closer. Since your DataSet was a linked to Y! Finance, I was focusing on Y!.

If you don't mind, please copy and paste the list of symbols in your EUA-screener DataSet. With that, I think we'll have it.
0
- ago
#19
We discovered and fixed the bug in Build 51, Build 52 will be out ASAP with this fix.
1
Best Answer
- ago
#20
Good afternoon!

Great.
I updated to version 52 and noticed that there was a correction in the information that is presented at the beginning of the system.

Thank you very much!
1
- ago
#21


now I have the problem of this error that appears, I saw in other posts, which happens to several people too, how to solve it? it is very random, it has shares that if you keep trying for an hour you will, others will never, how to solve?
0
- ago
#22
What are the Backtest data, exactly? Fill in the missing pieces:

? Single symbol / Portfolio backtest
+ Data (ASCII)
+ Data scale (15 min)
? Data range
? Benchmark
0
- ago
#23
Go to the Data Manager and look at your Historical Providers. Make sure the one(s) that can deliver 15-minute data for that symbol is checked in the list.
0
- ago
#24
Dion, I see the issue in that he's using ASCII data and its DataSets get checked there by default.
0
- ago
#25
I didn't quite understand your question, but here is the way I put the ASCII
0
- ago
#26
0
Cone7
- ago
#27
After you created your ASCII DataSet, it should appear in the Data Manager > Historical Data Provider's list. Make sure it's there has a checkmark.
0
- ago
#28
Hello. I can't backtest any intra-day strategy in WL8 because I get a "Could not lad backtest data in this scale / range". It happens with any symbol, any timeframe smaller than a day, any strategy, even the samples. When using SPY it keeps loading data and never ending even using a scale of 60 minutes and just one day range, when using any other symbol I get the error message I mentioned before.

Your help will be very welcome as intra-day trading now is the way I need to use WL.
Thank you in advance!


0
- ago
#29
@espodumenus

I doubt that a 3rd topic for the issue was optimal so I merged your post with this one. It's pretty reasonable that WL8 throws this error because none of your checked data sources support intraday data at all. Yahoo, WD and QD are inherently EOD data providers.

Currently your WL8 is not set for intraday trading so you should establish an account with a supported data feed and set up WL to use it. If you have questions on this matter please ask them in a different topic though.
0
Cone7
- ago
#30
QUOTE:
none of your checked data sources support intraday data
The key is "checked".

If you have a live account with Interactive Brokers and data permissions, you can get intraday data - but read the help in the User Guide > Extensions > Interactive Brokers.

AlphaVantage is also an option, but you need to create a key (and updates are limited for free accounts).
1
- ago
#31
Hello WealthLab,

I have been using WL7 and have just downloaded WL8 and successfully (?) brought across my strategies and data sets. When I run an existing back test it stops with error message: "Need to load data Could not load back test data in this scale/range." The data sets are a combination of ASCII that I created and have run many times in WL7 and Norgate-compiled data sets.

I ran a data update of all lists (from Norgate, Australia). Back tests still work in WL7 but WL8 will not run as described above.

How can we fix this.

Thanks.
0
- ago
#32
Go into your Data Manager, and look into the second tab, Historical Providers. Make sure your ASCII DataSets are enabled (the boxes are checked.) If it still doesn’t work email us at support@wealth-lab.com and we can schedule a zoom call to help get you up and running.
0

Reply

Bookmark

Sort